Summary:	Plugins for the Eye of GNOME image viewer
Name:     	eog-plugins
Version: 2.30.1
Release: %mkrel 3
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: eog-plugins-2.30.1-champlain0.8.patch
URL:		http://www.gnome.org/projects/eog/

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  eog-devel >= 2.19.0
BuildRequires:  pygtk2.0-devel
BuildRequires:  gnome-python-devel
BuildRequires:  libchamplain-devel >= 0.7.1
BuildRequires:  libexif-devel
#gw for postasa:
BuildRequires:  libgdata-devel >= 0.6.0
BuildRequires:  postr
BuildRequires:  intltool >= 0.40.0
Requires: eog
Requires: postr

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

This package contains additional plugins for EOG:
Map
Exif display
Zoom to fit image width
Flickr Uploader
PicasaWeb Uploader
Python Console
Send By Mail
Slideshow Shuffle

%prep
%setup -q
%apply_patches
autoreconf -fi

%build

%configure2_5x

%make


%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std

%{find_lang} %{name} --with-gnome

rm -f %buildroot%_libdir/eog/plugins/*{.a,.la}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%_libdir/eog/plugins/exif-display.eog-plugin
%_libdir/eog/plugins/fit-to-width.eog-plugin
%_libdir/eog/plugins/map.eog-plugin
%_libdir/eog/plugins/postasa.eog-plugin
%_libdir/eog/plugins/postr.eog-plugin
%_libdir/eog/plugins/pythonconsole.eog-plugin
%_libdir/eog/plugins/send-by-mail.eog-plugin
%_libdir/eog/plugins/slideshowshuffle.eog-plugin
%_libdir/eog/plugins/exif-display/
%_libdir/eog/plugins/postasa
%_libdir/eog/plugins/*.so*
%_libdir/eog/plugins/*.py*


%changelog
* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-3mdv2011.0
+ Revision: 574685
- build with new champlain

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-2mdv2011.0
+ Revision: 551159
- useless release bump
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528948
- update to new version 2.30.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509950
- update to new version 2.29.91

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-3mdv2010.1
+ Revision: 506086
- add missing postasa data files
- update description

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-2mdv2010.1
+ Revision: 506058
- enable postasa plugin

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 504124
- new version
- update file list

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490061
- update to new version 2.29.5

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475378
- new version
- update file list

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458858
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446729
- new version
- drop patch

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-2mdv2010.0
+ Revision: 441032
- patch for new libchamplain

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437406
- new version
- drop patches

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-3mdv2010.0
+ Revision: 421368
- replace postr filename patch by upstream version
- fix crash in exif view

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-2mdv2010.0
+ Revision: 420887
- fix call to postr
- update description

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420838
- import eog-plugins

